BCMP(3) | Library Functions Manual | BCMP(3)

# NAME

bcmp — compare byte string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <strings.h>

int
bcmp(const void *b1, const void *b2, size_t len);

# DESCRIPTION

The bcmp() function compares byte string b1 against byte string b2, returning zero if they are identical, non-zero otherwise. Both strings are assumed to be len bytes long. Zero-length strings are always identical.

The strings may overlap.

This function is obsolete. The equivalent function memcmp(3) should be used instead.

# SEE ALSO

memcmp(3), strcasecmp(3), strcmp(3), strcoll(3), strxfrm(3)

# STANDARDS

The bcmp() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). The IEEE Std 1003.1-2004 (“POSIX.1”) revision marked it as legacy and recommended the use of memcmp(3) instead. The IEEE Std 1003.1-2008 (“POSIX.1”) revision removed bcmp() from the specification.

# HISTORY

A bcmp() function first appeared in 4.2BSD.

May 5, 2012 | NetBSD 7.2